summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Marcel Saegebarth <marc@mos6581.de>2014-03-06 08:06:58 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-03-06 08:12:02 +0700
commitdd7eb1d21c8a1919e2b2d7c3f04374ec59ca7f45 (patch)
treeab9c87cc017352687abd39c053964bb849a78f20
parente94b934d15e2abb7c411e6b35a0821765078ae39 (diff)
downloadslackbuilds-dd7eb1d21c8a1919e2b2d7c3f04374ec59ca7f45.tar.gz
slackbuilds-dd7eb1d21c8a1919e2b2d7c3f04374ec59ca7f45.tar.xz
games/pokerth: Updated for version 1.1.1.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--games/pokerth/pokerth.SlackBuild18
-rw-r--r--games/pokerth/pokerth.info6
2 files changed, 12 insertions, 12 deletions
diff --git a/games/pokerth/pokerth.SlackBuild b/games/pokerth/pokerth.SlackBuild
index 678c17e378..d247a63be9 100644
--- a/games/pokerth/pokerth.SlackBuild
+++ b/games/pokerth/pokerth.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
# SlackBuild script for "PokerTH".
-# Copyright 2009-2013 Marcel Saegebarth <marc@mos6581.de>
+# Copyright 2009-2014 Marcel Saegebarth <marc@mos6581.de>
# Copyright 2012 Laurent Nardou <l.nardou@wanadoo.fr>
# All rights reserved.
#
@@ -26,8 +26,8 @@
PRGNAM=pokerth
SRCNAM=PokerTH
-VERSION=1.0.1
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-1.1.1}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
@@ -51,7 +51,7 @@ elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
fi
-set -e # Exit on some errors.
+set -e
rm -rf $PKG
rm -rf $TMP/$SRCNAM-$VERSION-src
@@ -61,17 +61,17 @@ tar xvf $CWD/$SRCNAM-$VERSION-src.tar.bz2
cd $SRCNAM-$VERSION-src
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
# The headers to which this file points have moved in the newer libircclient...
+# Thanks ponce.
sed -i "s|libircclient/||" src/net/common/ircthread.cpp
qmake pokerth.pro
-# We'd need to sed the CFLAGS in, but it should be fine as is...
make #CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS"
make install DESTDIR=$PKG INSTALL_ROOT=$PKG
diff --git a/games/pokerth/pokerth.info b/games/pokerth/pokerth.info
index ba58f2a192..2fb6162227 100644
--- a/games/pokerth/pokerth.info
+++ b/games/pokerth/pokerth.info
@@ -1,8 +1,8 @@
PRGNAM="pokerth"
-VERSION="1.0.1"
+VERSION="1.1.1"
HOMEPAGE="http://www.pokerth.net"
-DOWNLOAD="http://downloads.sourceforge.net/pokerth/PokerTH-1.0.1-src.tar.bz2"
-MD5SUM="c6dcf0ed68ab50af91371348ffad5d00"
+DOWNLOAD="http://downloads.sourceforge.net/pokerth/PokerTH-1.1.1-src.tar.bz2"
+MD5SUM="a7f76f95782099f966e5f2b6809f502a"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="libgsasl libircclient tinyxml protobuf"